Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jndi
Class JndiTemplate

    java.lang.Object
      org.springframework.jndi.JndiTemplate

Direct Known Subclasses:
  ExpectedLookupTemplate

    public class JndiTemplate

extends Object

Helper class that simplifies JNDI operations. It provides methods to lookup and bind objects, and allows implementations of the `JndiCallback` interface to perform any operation they like with a JNDI naming context provided.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `JndiCallback`, `execute(org.springframework.jndi.JndiCallback)`

Field Summary
`protected Log` | `logger`

Constructor Summary
`JndiTemplate()` Create a new JndiTemplate instance.
`JndiTemplate(Properties environment)` Create a new JndiTemplate instance, using the given environment.

Method Summary
`void` | `bind(String name, Object object)` Bind the given object to the current JNDI context, using the given name.
`protected Context` | `createInitialContext()` Create a new JNDI initial context.
`Object` | `execute(JndiCallback contextCallback)` Execute the given JNDI context callback implementation.
`Properties` | `getEnvironment()` Return the environment for the JNDI InitialContext, if any.
`Object` | `lookup(String name)` Look up the object with the given name in the current JNDI context.
`Object` | `lookup(String name, Class requiredType)` Look up the object with the given name in the current JNDI context.
`void` | `rebind(String name, Object object)` Rebind the given object to the current JNDI context, using the given name.
`void` | `setEnvironment(Properties environment)` Set the environment for the JNDI InitialContext.
`void` | `unbind(String name)` Remove the binding for the given name from the current JNDI context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final Log logger

Constructor Detail

### JndiTemplate

    public JndiTemplate()

  Create a new JndiTemplate instance.

### JndiTemplate

    public JndiTemplate(Properties environment)

  Create a new JndiTemplate instance, using the given environment.

Method Detail

### setEnvironment

    public void setEnvironment(Properties environment)

  Set the environment for the JNDI InitialContext.

### getEnvironment

    public Properties getEnvironment()

  Return the environment for the JNDI InitialContext, if any.

### execute

    public Object execute(JndiCallback contextCallback)
                   throws NamingException

  Execute the given JNDI context callback implementation.

  Parameters:
    `contextCallback` - JndiCallback implementation
  Returns:
    a result object returned by the callback, or `null`
  Throws:
    `NamingException` - thrown by the callback implementation
  See Also:
    `createInitialContext()`

### createInitialContext

    protected Context createInitialContext()
                                    throws NamingException

  Create a new JNDI initial context. Invoked by `execute(org.springframework.jndi.JndiCallback)`.

  The default implementation use this template's environment settings. Can be subclassed for custom contexts, e.g. for testing.

  Returns:
    the initial Context instance
  Throws:
    `NamingException` - in case of initialization errors

### lookup

    public Object lookup(String name)
                  throws NamingException

  Look up the object with the given name in the current JNDI context.

  Parameters:
    `name` - the JNDI name of the object
  Returns:
    object found (cannot be `null`; if a not so well-behaved JNDI implementations returns null, a NamingException gets thrown)
  Throws:
    `NamingException` - if there is no object with the given name bound to JNDI

### lookup

    public Object lookup(String name,
                         Class requiredType)
                  throws NamingException

  Look up the object with the given name in the current JNDI context.

  Parameters:
    `name` - the JNDI name of the object
    `requiredType` - type the JNDI object must match. Can be an interface or superclass of the actual class, or `null` for any match. For example, if the value is `Object.class`, this method will succeed whatever the class of the returned instance.
  Returns:
    object found (cannot be `null`; if a not so well-behaved JNDI implementations returns null, a NamingException gets thrown)
  Throws:
    `NamingException` - if there is no object with the given name bound to JNDI

### bind

    public void bind(String name,
                     Object object)
              throws NamingException

  Bind the given object to the current JNDI context, using the given name.

  Parameters:
    `name` - the JNDI name of the object
    `object` - the object to bind
  Throws:
    `NamingException` - thrown by JNDI, mostly name already bound

### rebind

    public void rebind(String name,
                       Object object)
                throws NamingException

  Rebind the given object to the current JNDI context, using the given name. Overwrites any existing binding.

  Parameters:
    `name` - the JNDI name of the object
    `object` - the object to rebind
  Throws:
    `NamingException` - thrown by JNDI

### unbind

    public void unbind(String name)
                throws NamingException

  Remove the binding for the given name from the current JNDI context.

  Parameters:
    `name` - the JNDI name of the object
  Throws:
    `NamingException` - thrown by JNDI, mostly name not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.